



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>[51单片机] EEPROM 24c02 [I2C代码封装-保存实现流水灯]</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">[51单片机] EEPROM 24c02 [I2C代码封装-保存实现流水灯]</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 23:20:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>这里把EEPROM 24c02封装起来，今后可以直接调用，其连线方式为：SDA-P2.1;SCL-P2.0;WP-VCC</p>
<p>&gt;_&lt;:i2c.c</p>
<div>
<pre class="prettyprint linenums"> /*-----------------------------------------------<br />
 名称：IIC协议<br />
 内容：函数是采用软件延时的方法产生SCL脉冲,固对高晶振频率要作 一定的修改....(本例是1us机器<br />
 周期,即晶振频率要小于12MHZ)<br />
 ------------------------------------------------*/<br />
 #include "i2c.h"<br />
 #define  _Nop()  _nop_()  //定义空指令<br />
 bit ack;                  //应答标志位<br />
 sbit SDA=P2^;<br />
 sbit SCL=P2^;<br />
 /*------------------------------------------------<br />
 uS延时函数，含有输入参数 unsigned char t，无返回值<br />
 unsigned char 是定义无符号字符变量，其值的范围是<br />
 0~255 这里使用晶振12M，精确延时请使用汇编,大致延时<br />
 长度如下 T=tx2+5 uS<br />
 ------------------------------------------------*/<br />
 void DelayUs2x(unsigned char t)<br />
 {<br />
     while(--t);<br />
 }<br />
 /*------------------------------------------------<br />
 mS延时函数，含有输入参数 unsigned char t，无返回值<br />
 unsigned char 是定义无符号字符变量，其值的范围是<br />
 0~255 这里使用晶振12M，精确延时请使用汇编<br />
 ------------------------------------------------*/<br />
 void DelayMs(unsigned char t)<br />
 {<br />
     while(t--)<br />
     {<br />
         //大致延时1mS<br />
         DelayUs2x();<br />
         DelayUs2x();<br />
     }<br />
 }<br />
 /*------------------------------------------------<br />
 启动总线<br />
 ------------------------------------------------*/<br />
 void Start_I2c()<br />
 {<br />
     SDA=;   //发送起始条件的数据信号<br />
     _Nop();<br />
     SCL=;<br />
     _Nop();    //起始条件建立时间大于4.7us,延时<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SDA=;     //发送起始信号<br />
     _Nop();    //起始条件锁定时间大于4&mu;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;    //钳住I2C总线，准备发送或接收数据<br />
     _Nop();<br />
     _Nop();<br />
 }<br />
 /*------------------------------------------------<br />
 结束总线<br />
 ------------------------------------------------*/<br />
 void Stop_I2c()<br />
 {<br />
     SDA=;    //发送结束条件的数据信号<br />
     _Nop();   //发送结束条件的时钟信号<br />
     SCL=;    //结束条件建立时间大于4&mu;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SDA=;    //发送I2C总线结束信号<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
 }<br />
 /*----------------------------------------------------------------<br />
 字节数据传送函数<br />
 函数原型: void  SendByte(unsigned char c);<br />
 功能:  将数据c发送出去,可以是地址,也可以是数据,发完后等待应答,并对<br />
 此状态位进行操作.(不应答或非应答都使ack=0 假)<br />
 发送数据正常，ack=1; ack=0表示被控器无应答或损坏。<br />
 ------------------------------------------------------------------*/<br />
 void  SendByte(unsigned char c)<br />
 {<br />
     unsigned char BitCnt;<br />
     for(BitCnt=;BitCnt&lt;;BitCnt++)  //要传送的数据长度为8位<br />
     {<br />
         if((c&lt;&lt;BitCnt)&amp;0x80)SDA=;   //判断发送位<br />
         else  SDA=;<br />
         _Nop();<br />
         SCL=;               //置时钟线为高，通知被控器开始接收数据位<br />
         _Nop();<br />
         _Nop();             //保证时钟高电平周期大于4&mu;<br />
         _Nop();<br />
         _Nop();<br />
         _Nop();<br />
         SCL=;<br />
     }<br />
     _Nop();<br />
     _Nop();<br />
     SDA=;               //8位发送完后释放数据线，准备接收应答位<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     if(SDA==)ack=;<br />
     else ack=;        //判断是否接收到应答信号<br />
     SCL=;<br />
     _Nop();<br />
     _Nop();<br />
 }<br />
 /*----------------------------------------------------------------<br />
 字节数据传送函数<br />
 函数原型: unsigned char  RcvByte();<br />
 功能:  用来接收从器件传来的数据,并判断总线错误(不发应答信号)，<br />
 发完后请用应答函数。<br />
 ------------------------------------------------------------------*/<br />
 unsigned char  RcvByte()<br />
 {<br />
     unsigned char retc;<br />
     unsigned char BitCnt;

     retc=;<br />
     SDA=;             //置数据线为输入方式<br />
     for(BitCnt=;BitCnt&lt;;BitCnt++)<br />
     {<br />
         _Nop();<br />
         SCL=;       //置时钟线为低，准备接收数据位<br />
         _Nop();<br />
         _Nop();      //时钟低电平周期大于4.7us<br />
         _Nop();<br />
         _Nop();<br />
         _Nop();<br />
         SCL=;       //置时钟线为高使数据线上数据有效<br />
         _Nop();<br />
         _Nop();<br />
         retc=retc&lt;&lt;;<br />
         if(SDA==)retc=retc+; //读数据位,接收的数据位放入retc中<br />
         _Nop();<br />
         _Nop();<br />
     }<br />
     SCL=;<br />
     _Nop();<br />
     _Nop();<br />
     return(retc);<br />
 }<br />
 /*----------------------------------------------------------------<br />
 应答子函数<br />
 原型:  void Ack_I2c(void);<br />
 ----------------------------------------------------------------*/<br />
 void Ack_I2c(void)<br />
 {<br />
     SDA=;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;<br />
     _Nop();<br />
     _Nop();              //时钟低电平周期大于4&mu;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;               //清时钟线，钳住I2C总线以便继续接收<br />
     _Nop();<br />
     _Nop();<br />
 }<br />
 /*----------------------------------------------------------------<br />
 非应答子函数<br />
 原型:  void NoAck_I2c(void);<br />
 ----------------------------------------------------------------*/<br />
 void NoAck_I2c(void)<br />
 {<br />
     SDA=;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;<br />
     _Nop();<br />
     _Nop();              //时钟低电平周期大于4&mu;<br />
     _Nop();<br />
     _Nop();<br />
     _Nop();<br />
     SCL=;                //清时钟线，钳住I2C总线以便继续接收<br />
     _Nop();<br />
     _Nop();<br />
 }<br />
 /*----------------------------------------------------------------<br />
 向无子地址器件发送字节数据函数<br />
 函数原型: bit  ISendByte(unsigned char sla,ucahr c);<br />
 功能:     从启动总线到发送地址，数据，结束总线的全过程,从器件地址sla.<br />
 如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 /*bit ISendByte(unsigned char sla,unsigned char c)<br />
 {<br />
     Start_I2c();               //启动总线<br />
     SendByte(sla);             //发送器件地址<br />
     if(ack==0)return(0);<br />
     SendByte(c);               //发送数据<br />
     if(ack==0)return(0);<br />
     Stop_I2c();                 //结束总线<br />
     return(1);<br />
 }<br />
 */<br />
 /*----------------------------------------------------------------<br />
 向有子地址器件发送多字节数据函数<br />
 函数原型: bit  ISendStr(unsigned char sla,unsigned char suba,ucahr *s,unsigned char no);<br />
 功能:     从启动总线到发送地址，子地址,数据，结束总线的全过程,从器件<br />
 地址sla，子地址suba，发送内容是s指向的内容，发送no个字节。<br />
 如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit ISendStr(unsigned char sla,unsigned char suba,unsigned char *s,unsigned char no)<br />
 {<br />
     unsigned char i;<br />
     for(i=;i&lt;no;i++)<br />
     {<br />
         Start_I2c();               //启动总线<br />
         SendByte(sla);             //发送器件地址<br />
         if(ack==)return();<br />
         SendByte(suba);            //发送器件子地址<br />
         if(ack==)return(); 

         SendByte(*s);            //发送数据

         if(ack==)return();<br />
         Stop_I2c();                  //结束总线<br />
         DelayMs();               //必须延时等待芯片内部自动处理数据完毕<br />
         s++;<br />
         suba++;<br />
     }<br />
     return();<br />
 }

 /*----------------------------------------------------------------<br />
 向无子地址器件读字节数据函数<br />
 函数原型: bit  IRcvByte(unsigned char sla,ucahr *c);<br />
 功能:     从启动总线到发送地址，读数据，结束总线的全过程,从器件地<br />
 址sla，返回值在c.<br />
 如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 /*bit IRcvByte(unsigned char sla,unsigned char *c)<br />
 {<br />
     Start_I2c();                //启动总线<br />
     SendByte(sla+1);            //发送器件地址<br />
     if(ack==0)return(0);<br />
     *c=RcvByte();               //读取数据<br />
     NoAck_I2c();              //发送非就答位<br />
     Stop_I2c();               //结束总线<br />
     return(1);<br />
 }<br />
 */<br />
 /*----------------------------------------------------------------<br />
 向有子地址器件读取多字节数据函数<br />
 函数原型: bit  ISendStr(unsigned char sla,unsigned char suba,ucahr *s,unsigned char no);<br />
 功能:     从启动总线到发送地址，子地址,读数据，结束总线的全过程,从器件<br />
 地址sla，子地址suba，读出的内容放入s指向的存储区，读no个字节。<br />
 如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit IRcvStr(unsigned char sla,unsigned char suba,unsigned char *s,unsigned char no)<br />
 {<br />
     unsigned char i;

     Start_I2c();               //启动总线<br />
     SendByte(sla);             //发送器件地址<br />
     if(ack==)return();<br />
     SendByte(suba);            //发送器件子地址<br />
     if(ack==)return();

     Start_I2c();<br />
     SendByte(sla+);<br />
     if(ack==)return();

     for(i=;i&lt;no-;i++)<br />
     {<br />
         *s=RcvByte();              //发送数据<br />
         Ack_I2c();                //发送就答位<br />
         s++;<br />
     }<br />
     *s=RcvByte();<br />
     NoAck_I2c();                 //发送非应位<br />
     Stop_I2c();                    //结束总线<br />
     return();<br />
 }</pre>
</div>
<p>&gt;_&lt;:i2c.h</p>
<div>
<pre class="prettyprint linenums"> /*-----------------------------------------------<br />
   名称：IIC协议 头文件<br />
 ------------------------------------------------*/<br />
 #ifndef __I2C_H__<br />
 #define __I2C_H__<br />
 #include &lt;reg52.h&gt;          //头文件的包含<br />
 #include &lt;intrins.h&gt;<br />
 #define  _Nop()  _nop_()        //定义空指令<br />
 /*-----------------------------------------------<br />
  uS延时函数，含有输入参数 unsigned char t，无返回值<br />
  unsigned char 是定义无符号字符变量，其值的范围是<br />
  0~255 这里使用晶振12M，精确延时请使用汇编,大致延时<br />
  长度如下 T=tx2+5 uS<br />
 ------------------------------------------------*/<br />
 void DelayUs2x(unsigned char t);<br />
 /*------------------------------------------------<br />
  mS延时函数，含有输入参数 unsigned char t，无返回值<br />
  unsigned char 是定义无符号字符变量，其值的范围是<br />
  0~255 这里使用晶振12M，精确延时请使用汇编<br />
 ------------------------------------------------*/<br />
 void DelayMs(unsigned char t);<br />
 /*------------------------------------------------<br />
                     启动总线<br />
 ------------------------------------------------*/<br />
 void Start_I2c();<br />
 /*------------------------------------------------<br />
                     结束总线<br />
 ------------------------------------------------*/<br />
 void Stop_I2c();<br />
 /*----------------------------------------------------------------<br />
                  字节数据传送函数<br />
 函数原型: void  SendByte(unsigned char c);<br />
 功能:  将数据c发送出去,可以是地址,也可以是数据,发完后等待应答,并对<br />
      此状态位进行操作.(不应答或非应答都使ack=0 假)<br />
      发送数据正常，ack=1; ack=0表示被控器无应答或损坏。<br />
 ------------------------------------------------------------------*/<br />
 void  SendByte(unsigned char c);<br />
 /*----------------------------------------------------------------<br />
                  字节数据传送函数<br />
 函数原型: unsigned char  RcvByte();<br />
 功能:  用来接收从器件传来的数据,并判断总线错误(不发应答信号)，<br />
      发完后请用应答函数。<br />
 ------------------------------------------------------------------*/<br />
 unsigned char  RcvByte();<br />
 /*----------------------------------------------------------------<br />
                      应答子函数<br />
 原型:  void Ack_I2c(void);<br />
 ----------------------------------------------------------------*/<br />
 void Ack_I2c(void);<br />
 /*----------------------------------------------------------------<br />
                      非应答子函数<br />
 原型:  void NoAck_I2c(void);<br />
 ----------------------------------------------------------------*/<br />
 void NoAck_I2c(void);<br />
 /*----------------------------------------------------------------<br />
                     向无子地址器件发送字节数据函数<br />
 函数原型: bit  ISendByte(unsigned char sla,ucahr c);<br />
 功能:     从启动总线到发送地址，数据，结束总线的全过程,从器件地址sla.<br />
            如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit ISendByte(unsigned char sla,unsigned char c);

 /*----------------------------------------------------------------<br />
                     向有子地址器件发送多字节数据函数<br />
 函数原型: bit  ISendStr(unsigned char sla,unsigned char suba,ucahr *s,unsigned char no);<br />
 功能:     从启动总线到发送地址，子地址,数据，结束总线的全过程,从器件<br />
           地址sla，子地址suba，发送内容是s指向的内容，发送no个字节。<br />
            如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit ISendStr(unsigned char sla,unsigned char suba,unsigned char *s,unsigned char no);<br />
 /*----------------------------------------------------------------<br />
                     向无子地址器件读字节数据函数<br />
 函数原型: bit  IRcvByte(unsigned char sla,ucahr *c);<br />
 功能:     从启动总线到发送地址，读数据，结束总线的全过程,从器件地<br />
           址sla，返回值在c.<br />
            如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit IRcvByte(unsigned char sla,unsigned char *c);<br />
 /*----------------------------------------------------------------<br />
                     向有子地址器件读取多字节数据函数<br />
 函数原型: bit  ISendStr(unsigned char sla,unsigned char suba,ucahr *s,unsigned char no);<br />
 功能:     从启动总线到发送地址，子地址,读数据，结束总线的全过程,从器件<br />
           地址sla，子地址suba，读出的内容放入s指向的存储区，读no个字节。<br />
            如果返回1表示操作成功，否则操作有误。<br />
 注意：    使用前必须已结束总线。<br />
 ----------------------------------------------------------------*/<br />
 bit IRcvStr(unsigned char sla,unsigned char suba,unsigned char *s,unsigned char no);<br />
 #endif</pre>
</div>
<p>&gt;_&lt;:下面是main函数中如何调用封装好的函数来实现流水灯的效果的：<br />&gt;_&lt;:流水灯8个的连线这里用的是P1</p>
<div>
<pre class="prettyprint linenums"> /*-----------------------------------------------<br />
 名称：IIC协议 24c02存储花样灯程序<br />
 内容：将表格内容写入24c02，然后批量删除这些数据，<br />
 并从24c02中读取数据并显示<br />
 ------------------------------------------------*/<br />
 #include &lt;reg52.h&gt;<br />
 #include "i2c.h"<br />
 /*------------------------------------------------<br />
 花样灯表格<br />
 ------------------------------------------------*/<br />
 unsigned char      dat[]={0x7f,0xbf,0xdf,0xef,<br />
 0xf7,0xfb,0xfd,0xfe,<br />
 0xff,0xff,0x00,0x00,<br />
 0x55,0x55,0xaa,0xaa<br />
 };//ram允许情况可以无限添加<br />
 /*------------------------------------------------<br />
   主函数<br />
 ------------------------------------------------*/<br />
 main()<br />
 {<br />
     //bit flag;<br />
     unsigned char i;<br />
     ISendStr(0xae,,dat,);            //写入24c02<br />
     DelayMs();                          //写入后必须延时等待24c02内部<br />
     //烧录数据处理完毕方可继续其他操作<br />
     for(i=;i&lt;;i++)                    //清除数据<br />
         dat[i]=;<br />
     IRcvStr(0xae,,dat,);             //从24c02读出数据<br />
     while()<br />
     {<br />
         for(i=;i&lt;;i++)              //查表<br />
         {<br />
             DelayMs();<br />
             P1=dat[i];<br />
         }<br />
     }<br />
 }</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlwpvk8.html">&lbrack;置顶&rsqb;PADS PCB功能使用技巧系列之NO&period;004- 如何做到20H规则？</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyxzjx8.html">PHP&lowbar;php&period;ini&lowbar;说明详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwmdj38.html">原生cookie</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2pygl8.html">CRM2013版本 IOS APP 说明（IPhone、IPad）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdedeyv9.html">CentOS 安装BitTorrent Sync详细步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ozegv9.html">A Tour of Go  Interfaces are satisfied implicitly</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy10dgmq.html">gitlab实时备份方案（非官方命令）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpr60jq.html">【转】千万不要在JS中使用连等赋值操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpdgm39.html">微信小程序开发模板消息的时候  出现 errcode&colon; 41028&comma; errmsg&colon; &amp;quot&semi;invalid form id hint&colon;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdzdrd9.html">FAST MONTE CARLO ALGORITHMS FOR MATRICES II （快速的矩阵分解策略）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzy2o08.html">SQL  序列-DML-DML-数据类型-用户管理、权限-事务-视图</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv1j028.html">【原创】Aduino小车玩法全记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv22g2z9.html">【Java每日一题】20170303</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy3lr39.html">微信小程序 条件渲染 wx&colon;if</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjljv79.html">MUI   底部弹出的选择框</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g6vlmq.html">22个值得收藏的Android开源代码&mdash;&mdash;cool</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjp5wvq.html">x86 TargetPlatform with XBAPs</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ej3dj9.html">Java8 新特性 Streams map&lpar;&rpar; 示例</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pvjgnq.html">python的一些基本的建议</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxlkwmdq.html">Oracel官网下载各类版本的JDK</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/r934n4g8.html">ghost系统到硬盘完后，重启进入winxp安装的画面变成了蓝屏</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqvyk0yq.html">Linux socket 获得本地IP和广播地址</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8egwwm9.html">《Linux内核设计与实现》读书笔记 第二章 从内核出发</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93470g8.html">转 Eric Raymond对于几大开发语言的评价</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qwgxry8.html">解决 HttpClient 模拟 http 的get 请求后 ，出现 403 错误</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q75w0k9.html">Swift &plus;AFNetworking3&period;0  Get</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8m5v76q.html">Delphi inline编译器优化问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96rnny9.html">oracle学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4ov538.html">js-BOM之offset家族、移动函数的封装升级（轮播图）</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qy77rgq.html">JavaScript-indexOf函数</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
